Search results

Template Configuration in JavaScript (ES5) Toolbar control

06 Jun 2023 / 3 minutes to read

The JavaScript Toolbar can be rendered by item based collection and by HTML elements. To render it based on the given HTML element, use id as the target property. To render the Toolbar, follow the below structure of the HTML elements:

Copied to clipboard
  <div id='template_toolbar'>   --> Root Toolbar Element
    <div>      --> Toolbar Items Container
       <div>   --> Toolbar Item Element
       </div>
    </div>
  </div>

Here, the template ID, #template_toolbar is directly appended to the Toolbar.

Source
Preview
index.js
index.html
Copied to clipboard
ej.base.enableRipple(true);

//Initialize Toolbar component
var toolbar = new ej.navigations.Toolbar({});

//Render initialized Toolbar component
toolbar.appendTo('#template_toolbar');
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>Essential JS 2 Toolbar</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/21.2.3/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="template_toolbar">
            <div>
                <div><button class="e-btn e-tbar-btn">Cut</button> </div>
                <div><button class="e-btn e-tbar-btn">Copy</button> </div>
                <div><button class="e-btn e-tbar-btn">Paste</button> </div>
                <div class="e-separator"> </div>
                <div><button class="e-btn e-tbar-btn">Bold</button> </div>
                <div><button class="e-btn e-tbar-btn">Italic</button> </div>
            </div>
        </div>
        <br><br>
        <div id="result"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Popup is one of the supported responsive modes of the Toolbar. The Toolbar commands, popup mode priority and button text mode customizations are achieved in the item based rendering through property declaration. For more information on popup mode, refer here

The above behavior can also be achieved with template rendering by defining equivalent class names instead of property declaration.

Equivalent class names listed below are needed to add the Toolbar items’ div element.

Priority

Class Description
e-overflow-show Commands are always displayed on the Toolbar with primary priority.
e-overflow-hide Commands are always displayed in the popup with secondary priority.

Button text mode

Class Description
e-popup-text Button text is only visible in the Popup.
e-toolbar-text Button text is only visible on the Toolbar.
Source
Preview
index.js
index.html
Copied to clipboard
ej.base.enableRipple(true);

//Initialize Toolbar component

var toolbar = new ej.navigations.Toolbar({ width: 300 , overflowMode: 'Popup'  });

//Render initialized Toolbar component
toolbar.appendTo('#template_toolbar');
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>Essential JS 2 Toolbar</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/material.css" rel="stylesheet">
    <link href="https://ej2.syncfusion.com/angular/demos/src/toolbar/toolbar.component.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/21.2.3/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="template_toolbar">
            <div>
                <div class="e-overflow-show e-popup-text"><button class="e-btn e-tbar-btn"><span class="e-cut-icon tb-icons e-icons e-btn-icon"></span><div class="e-tbar-btn-text">Cut</div></button> </div>
                <div class="e-overflow-show e-popup-text"><button class="e-btn e-tbar-btn"><span class="e-copy-icon tb-icons e-icons e-btn-icon"></span><div class="e-tbar-btn-text">Copy</div></button> </div>
                <div class="e-overflow-show e-popup-text"><button class="e-btn e-tbar-btn"><span class="e-paste-icon tb-icons e-icons e-btn-icon"></span><div class="e-tbar-btn-text">Paste</div></button> </div>
                <div class="e-separator"> </div>
                <div class="e-overflow-show e-popup-text"><button class="e-btn e-tbar-btn"><span class="e-bold-icon tb-icons e-icons e-btn-icon"></span><div class="e-tbar-btn-text">Bold</div></button> </div>
                <div class="e-overflow-hide e-popup-text"><button class="e-btn e-tbar-btn"><span class="e-underline-icon tb-icons e-icons e-btn-icon"></span><div class="e-tbar-btn-text">Underline</div></button> </div>
                <div class="e-overflow-show e-popup-text"><button class="e-btn e-tbar-btn"><span class="e-italic-icon tb-icons e-icons e-btn-icon"></span><div class="e-tbar-btn-text">Italic</div></button> </div>
                <div class="e-overflow-show e-popup-text"><button class="e-btn e-tbar-btn"><span class="e-ascending-icon tb-icons e-icons e-btn-icon"></span><div class="e-tbar-btn-text">A-Z Sort</div></button> </div>
                <div class="e-overflow-show e-popup-text"><button class="e-btn e-tbar-btn"><span class="e-descending-icon tb-icons e-icons e-btn-icon"></span><div class="e-tbar-btn-text">Z-A Sort</div></button> </div>
            </div>
        </div>
        <br><br>
        <div id="result"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Integrate menu component

You can integrate menu component as toolbar item in Toolbar using template property. Menu can be populated with items as needed.

Source
Preview
index.js
index.html
Copied to clipboard
ej.base.enableRipple(true);
var menuTemplate = '<ul id="menu"></ul>';
var data = [
  {
    text: 'Appliances',
    items: [
      {
        text: 'Kitchen',
        items: [
          { text: 'Electric Cookers' },
          { text: 'Coffee Makers' },
          { text: 'Blenders' },
        ],
      },
      {
        text: 'Washing Machine',
        items: [{ text: 'Fully Automatic' }, { text: 'Semi Automatic' }],
      },
      {
        text: 'Air Conditioners',
        items: [
          { text: 'Inverter ACs' },
          { text: 'Split ACs' },
          { text: 'Window ACs' },
        ],
      },
    ],
  },
  {
    text: 'Accessories',
    items: [
      {
        text: 'Mobile',
        items: [
          { text: 'Headphones' },
          { text: 'Memory Cards' },
          { text: 'Power Banks' },
        ],
      },
      {
        text: 'Computer',
        items: [
          { text: 'Pendrives' },
          { text: 'External Hard Disks' },
          { text: 'Monitors' },
        ],
      },
    ],
  },
  {
    text: 'Fashion',
    items: [
      {
        text: 'Men',
        items: [
          { text: 'Shirts' },
          { text: 'Jackets' },
          { text: 'Track Suits' },
        ],
      },
      {
        text: 'Women',
        items: [{ text: 'Kurtas' }, { text: 'Salwars' }, { text: 'Sarees' }],
      },
    ],
  },
  {
    text: 'Home & Living',
    items: [
      {
        text: 'Furniture',
        items: [
          { text: 'Beds' },
          { text: 'Mattresses' },
          { text: 'Dining Tables' },
        ],
      },
      {
        text: 'Decor',
        items: [
          { text: 'Clocks' },
          { text: 'Wall Decals' },
          { text: 'Paintings' },
        ],
      },
    ],
  },
];

var toolbarObj = new ej.navigations.Toolbar(
  { items: [
    { text: "Cut" },
    { text: "Copy" },
    { template: menuTemplate },
    { text: "Paste" }
  ]
});
toolbarObj.appendTo('#element');
var menuObj = new ej.navigations.Menu({items: data,},'#menu');
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>Essential JS 2 Toolbar</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/21.2.3/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/21.2.3/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Template configuration in Angular Toolbar component

27 Apr 20248 minutes to read

Integrate menu component

You can integrate menu component as toolbar item in Toolbar using ng-template. Menu can be populated with items as needed.

import { NgModule } from '@angular/core'
import { FormsModule } from '@angular/forms'
import { BrowserModule } from '@angular/platform-browser'
import { ToolbarAllModule, MenuModule } from '@syncfusion/ej2-angular-navigations'
import { ButtonAllModule  } from '@syncfusion/ej2-angular-buttons'




import { Component } from '@angular/core';
import { ToolbarComponent, MenuItemModel } from '@syncfusion/ej2-angular-navigations';

@Component({
imports: [
        FormsModule,
        ToolbarAllModule,
        
        MenuModule,
        ButtonAllModule 
    ],


standalone: true,
    selector: 'app-container',
    template: ` <ejs-toolbar>
                <e-items>
                    <e-item text='Cut'></e-item>
                    <e-item text='Copy'></e-item>
                    <e-item text='Paste'></e-item>
                    <e-item>
                        <ng-template #template>
                            <ejs-menu [items]="data"></ejs-menu>
                        </ng-template>
                    </e-item>
                </e-items>
        </ejs-toolbar>`
})

export class AppComponent {
     public data: MenuItemModel[] = [
    {
      text: 'Appliances',
      items: [
        {
          text: 'Kitchen',
          items: [
            { text: 'Electric Cookers' },
            { text: 'Coffee Makers' },
            { text: 'Blenders' },
          ],
        },
        {
          text: 'Washing Machine',
          items: [{ text: 'Fully Automatic' }, { text: 'Semi Automatic' }],
        },
        {
          text: 'Air Conditioners',
          items: [
            { text: 'Inverter ACs' },
            { text: 'Split ACs' },
            { text: 'Window ACs' },
          ],
        },
      ],
    },
    {
      text: 'Accessories',
      items: [
        {
          text: 'Mobile',
          items: [
            { text: 'Headphones' },
            { text: 'Memory Cards' },
            { text: 'Power Banks' },
          ],
        },
        {
          text: 'Computer',
          items: [
            { text: 'Pendrives' },
            { text: 'External Hard Disks' },
            { text: 'Monitors' },
          ],
        },
      ],
    },
    {
      text: 'Fashion',
      items: [
        {
          text: 'Men',
          items: [
            { text: 'Shirts' },
            { text: 'Jackets' },
            { text: 'Track Suits' },
          ],
        },
        {
          text: 'Women',
          items: [{ text: 'Kurtas' }, { text: 'Salwars' }, { text: 'Sarees' }],
        },
      ],
    },
    {
      text: 'Home & Living',
      items: [
        {
          text: 'Furniture',
          items: [
            { text: 'Beds' },
            { text: 'Mattresses' },
            { text: 'Dining Tables' },
          ],
        },
        {
          text: 'Decor',
          items: [
            { text: 'Clocks' },
            { text: 'Wall Decals' },
            { text: 'Paintings' },
          ],
        },
      ],
    },
  ];
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

The Toolbar can be rendered by item based collection and by HTML elements. To render it based on the given HTML element, use id
as the target
property. To render the Toolbar, follow the below structure of the HTML elements:
<div id='template_toolbar'> --> Root Toolbar Element
<div> --> Toolbar Items Container
<div> --> Toolbar Item Element
</div>
</div>
</div>
Here, the template ID, #template_toolbar
is directly appended to the Toolbar.
import { ToolbarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component {
render() {
return (<ToolbarComponent>
<div id='template_toolbar'>
<div> <button className="e-btn e-tbar-btn">Cut</button> </div>
<div> <button className="e-btn e-tbar-btn">Copy</button> </div>
<div> <button className="e-btn e-tbar-btn">Paste</button> </div>
<div className="e-separator"/>
<div> <button className="e-btn e-tbar-btn">Bold</button> </div>
<div> <button className="e-btn e-tbar-btn">Italic</button> </div>
</div>
</ToolbarComponent>);
}
}
ReactDOM.render(<ReactApp />, document.getElementById("toolbar"));
import { ToolbarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component<{}, {}> {
public render() {
return (
<ToolbarComponent>
<div id='template_toolbar'>
<div> <button className="e-btn e-tbar-btn">Cut</button> </div>
<div> <button className="e-btn e-tbar-btn">Copy</button> </div>
<div> <button className="e-btn e-tbar-btn">Paste</button> </div>
<div className="e-separator" />
<div> <button className="e-btn e-tbar-btn">Bold</button> </div>
<div> <button className="e-btn e-tbar-btn">Italic</button> </div>
</div>
</ToolbarComponent>
);
}
}
ReactDOM.render(<ReactApp />, document.getElementById("toolbar"));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Syncfusion React Toolbar Sample</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="Essential JS 2 for React Components" />
<meta name="author" content="Syncfusion" />
<link href="//cdn.syncfusion.com/ej2/material.css" rel="stylesheet" />
<link href="https://ej2.syncfusion.com/angular/demos/src/toolbar/toolbar.component.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
<style>
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
.custom_bold .e-tbar-btn-text {
font-weight: 900;
}
.custom_italic .e-tbar-btn-text {
font-style: italic;
}
.custom_underline .e-tbar-btn-text {
text-decoration: underline red;
}
.e-txt-casing .e-tbar-btn-text {
font-variant: small-caps;
}
.e-tbar-btn .e-icons {
font-family: 'Material_toolbar';
font-size: 16px;
font-style: normal;
font-weight: normal;
font-variant: normal;
text-transform: none;
}
</style>
</head>
<body>
<div id='toolbar'>
<div id='loader'>Loading....</div>
</div>
</body>
</html>
Popup
is one of the supported responsive modes of the Toolbar. The Toolbar commands, popup mode priority and button text mode
customizations are
achieved in the item based rendering through property declaration. For more information on popup mode, refer here
The above behavior can also be achieved with template rendering by defining equivalent class
names instead of property declaration.
Equivalent class names listed below are needed to add the Toolbar items’ div
element.
Class | Description |
---|---|
e-overflow-show | Commands are always displayed on the Toolbar with primary priority. |
e-overflow-hide | Commands are always displayed in the popup with secondary priority. |
Class | Description |
---|---|
e-popup-text | Button Text is only visible in the Popup . |
e-toolbar-text | Button Text is only visible on the Toolbar . |
import { ToolbarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component {
render() {
return (<ToolbarComponent width="300" overflowMode="Popup">
<div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-cut-icon e-icons e-btn-icon"/><div className="e-tbar-btn-text">Cut</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-copy-icon e-icons e-btn-icon"/><div className="e-tbar-btn-text">Copy</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-paste-icon e-icons e-btn-icon"/><div className="e-tbar-btn-text">Paste</div></button> </div>
<div className="e-separator"/>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-bold-icon e-icons e-btn-icon"/><div className="e-tbar-btn-text">Bold</div></button> </div>
<div className="e-overflow-hide e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-underline-icon e-icons e-btn-icon"/><div className="e-tbar-btn-text">Underline</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-italic-icon e-icons e-btn-icon"/><div className="e-tbar-btn-text">Italic</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-ascending-icon e-icons e-btn-icon"/><div className="e-tbar-btn-text">A-Z Sort</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-descending-icon e-icons e-btn-icon"/><div className="e-tbar-btn-text">Z-A Sort</div></button> </div>
</div>
</ToolbarComponent>);
}
}
ReactDOM.render(<ReactApp />, document.getElementById("toolbar"));
import { ToolbarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component<{}, {}> {
public render() {
return (
<ToolbarComponent width="300" overflowMode="Popup">
<div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-cut-icon e-icons e-btn-icon" /><div className="e-tbar-btn-text">Cut</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-copy-icon e-icons e-btn-icon" /><div className="e-tbar-btn-text">Copy</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-paste-icon e-icons e-btn-icon" /><div className="e-tbar-btn-text">Paste</div></button> </div>
<div className="e-separator" />
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-bold-icon e-icons e-btn-icon" /><div className="e-tbar-btn-text">Bold</div></button> </div>
<div className="e-overflow-hide e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-underline-icon e-icons e-btn-icon" /><div className="e-tbar-btn-text">Underline</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-italic-icon e-icons e-btn-icon" /><div className="e-tbar-btn-text">Italic</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-ascending-icon e-icons e-btn-icon" /><div className="e-tbar-btn-text">A-Z Sort</div></button> </div>
<div className="e-overflow-show e-popup-text"><button className="e-btn e-tbar-btn"><span className="e-descending-icon e-icons e-btn-icon" /><div className="e-tbar-btn-text">Z-A Sort</div></button> </div>
</div>
</ToolbarComponent>
);
}
}
ReactDOM.render(<ReactApp />, document.getElementById("toolbar"));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Syncfusion React Toolbar Sample</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="Essential JS 2 for React Components" />
<meta name="author" content="Syncfusion" />
<link href="//cdn.syncfusion.com/ej2/material.css" rel="stylesheet" />
<link href="https://ej2.syncfusion.com/angular/demos/src/toolbar/toolbar.component.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
<style>
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
.custom_bold .e-tbar-btn-text {
font-weight: 900;
}
.custom_italic .e-tbar-btn-text {
font-style: italic;
}
.custom_underline .e-tbar-btn-text {
text-decoration: underline red;
}
.e-txt-casing .e-tbar-btn-text {
font-variant: small-caps;
}
.e-tbar-btn .e-icons {
font-family: 'Material_toolbar';
font-size: 16px;
font-style: normal;
font-weight: normal;
font-variant: normal;
text-transform: none;
}
</style>
</head>
<body>
<div id='toolbar'>
<div id='loader'>Loading....</div>
</div>
</body>
</html>

Template configuration in Vue Toolbar component

11 Jun 202424 minutes to read

Integrate menu component

You can integrate menu component as toolbar item in Toolbar using Vue template. Menu can be populated with items as needed.

<template>
    <div id="app">
        <ejs-toolbar>
            <e-items>
                <e-item :template='menuTemplate'></e-item>
            </e-items>
        </ejs-toolbar>
    </div>
</template>

<script setup>

import { MenuComponent } from "@syncfusion/ej2-vue-navigations";
import { ToolbarComponent as EjsToolbar, ItemsDirective as EItems, ItemDirective as EItem } from "@syncfusion/ej2-vue-navigations";
import { enableRipple } from '@syncfusion/ej2-base';
import { createApp } from "vue";

enableRipple(true);

var menutemplateVue = createApp().component("demo", {
    components: {
        "ejs-menu": MenuComponent
    },
    template: '<ejs-menu :items="menuItems"></ejs-menu>',
    data() {
        return {
            data: {},
            menuItems: [
                {
                    text: 'Appliances',
                    items: [
                        {
                            text: 'Kitchen',
                            items: [
                                { text: 'Electric Cookers' },
                                { text: 'Coffee Makers' },
                                { text: 'Blenders' }
                            ]
                        },
                        {
                            text: 'Washing Machine',
                            items: [
                                { text: 'Fully Automatic' },
                                { text: 'Semi Automatic' }
                            ]
                        },
                        {
                            text: 'Air Conditioners',
                            items: [
                                { text: 'Inverter ACs' },
                                { text: 'Split ACs' },
                                { text: 'Window ACs' }
                            ]
                        }
                    ]
                },
                {
                    text: 'Accessories',
                    items: [
                        {
                            text: 'Mobile',
                            items: [
                                { text: 'Headphones' },
                                { text: 'Memory Cards' },
                                { text: 'Power Banks' }
                            ]
                        },
                        {
                            text: 'Computer',
                            items: [
                                { text: 'Pendrives' },
                                { text: 'External Hard Disks' },
                                { text: 'Monitors' }
                            ]
                        }
                    ]
                },
                {
                    text: 'Fashion',
                    items: [
                        {
                            text: 'Men',
                            items: [
                                { text: 'Shirts' },
                                { text: 'Jackets' },
                                { text: 'Track Suits' }
                            ]
                        },
                        {
                            text: 'Women',
                            items: [
                                { text: 'Kurtas' },
                                { text: 'Salwars' },
                                { text: 'Sarees' }
                            ]
                        }
                    ]
                },
                {
                    text: 'Home & Living',
                    items: [
                        {
                            text: 'Furniture',
                            items: [
                                { text: 'Beds' },
                                { text: 'Mattresses' },
                                { text: 'Dining Tables' }
                            ]
                        },
                        {
                            text: 'Decor',
                            items: [
                                { text: 'Clocks' },
                                { text: 'Wall Decals' },
                                { text: 'Paintings' }
                            ]
                        }
                    ]
                }
            ],
        };
    }
});

const menuTemplate = function () {
    return {
        template: menutemplateVue
    }
};

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";
</style>
<template>
    <div id="app">
        <ejs-toolbar>
            <e-items>
                <e-item :template='menuTemplate'></e-item>
            </e-items>
        </ejs-toolbar>
    </div>
</template>

<script>

import { MenuComponent, ToolbarComponent, ItemDirective, ItemsDirective } from "@syncfusion/ej2-vue-navigations";
import { enableRipple } from '@syncfusion/ej2-base';
import { createApp } from "vue";

enableRipple(true);

var menutemplateVue = createApp().component("demo", {
    components: {
        "ejs-menu": MenuComponent
    },
    template: '<ejs-menu :items="menuItems"></ejs-menu>',
    data() {
        return {
            data: {},
            menuItems: [
                {
                    text: 'Appliances',
                    items: [
                        {
                            text: 'Kitchen',
                            items: [
                                { text: 'Electric Cookers' },
                                { text: 'Coffee Makers' },
                                { text: 'Blenders' }
                            ]
                        },
                        {
                            text: 'Washing Machine',
                            items: [
                                { text: 'Fully Automatic' },
                                { text: 'Semi Automatic' }
                            ]
                        },
                        {
                            text: 'Air Conditioners',
                            items: [
                                { text: 'Inverter ACs' },
                                { text: 'Split ACs' },
                                { text: 'Window ACs' }
                            ]
                        }
                    ]
                },
                {
                    text: 'Accessories',
                    items: [
                        {
                            text: 'Mobile',
                            items: [
                                { text: 'Headphones' },
                                { text: 'Memory Cards' },
                                { text: 'Power Banks' }
                            ]
                        },
                        {
                            text: 'Computer',
                            items: [
                                { text: 'Pendrives' },
                                { text: 'External Hard Disks' },
                                { text: 'Monitors' }
                            ]
                        }
                    ]
                },
                {
                    text: 'Fashion',
                    items: [
                        {
                            text: 'Men',
                            items: [
                                { text: 'Shirts' },
                                { text: 'Jackets' },
                                { text: 'Track Suits' }
                            ]
                        },
                        {
                            text: 'Women',
                            items: [
                                { text: 'Kurtas' },
                                { text: 'Salwars' },
                                { text: 'Sarees' }
                            ]
                        }
                    ]
                },
                {
                    text: 'Home & Living',
                    items: [
                        {
                            text: 'Furniture',
                            items: [
                                { text: 'Beds' },
                                { text: 'Mattresses' },
                                { text: 'Dining Tables' }
                            ]
                        },
                        {
                            text: 'Decor',
                            items: [
                                { text: 'Clocks' },
                                { text: 'Wall Decals' },
                                { text: 'Paintings' }
                            ]
                        }
                    ]
                }
            ],
        };
    }
});

export default {
    name: "App",
    components: {
        "ejs-toolbar": ToolbarComponent,
        "e-items": ItemsDirective,
        "e-item": ItemDirective
    },
    data: function () {
        return {
            menuTemplate: function () {
                return {
                    template: menutemplateVue
                }
            }
        }
    },
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";
</style>